const chalk = require("chalk");
const yargs = require("yargs");

const audit = require("./audit-site.js");
const express = require("express");


const app = express();

app.use(express.json());

//customize yargs verison
yargs.version("1.1.0");


yargs.command({
    command: 'audit-site',
    describe: "Analyze your website",
    builder: {
        url: {
            describe: "Website URL",
            demandOption: true, // Required
            type: "string",
        }
    },
    handler: (argv) => {
        // calculateco2.getJsonReport(argv.url);
        audit.getHtmlReport(argv.url)
    },
})

yargs.parse();

app.listen(3000)